Subject: Re: how to squash a few commits in the past

From: Gelonida <[email-masked]>
Date: Mon, 03 May 2010 22:45:55 +0200

Hi Michael,

Michael J Gruber wrote:
> Gelonida venit, vidit, dixit 03.05.2010 11:33:
>>
>>
>> The plan would be:
>> - create a new git repository without the huge file
>> - let everybody clone the new repository and continue working.
>>
>>
>> I thought, that I could squash the commit adding the file, removing the file and
>> the commits in between into one commit.
> 
> You don't need to squash the commits in between. Use git rebase -i A^ if
> A is the commit introducing the large file. Then, either edit that first
> commit (to not add the file) or reorder so that the removal commit is
> squashed into A.

I seem to misunderstand your suggestion.

git rebase -i 740ebdf9b^
returns following output
> fatal: Needed a single revision
> Invalid base

what am I missing?